Welcome, Guest. Please login or register. Did you miss your activation email?

Author Topic: Is it possible to change from Source SDK Base 2006 to Source SDK Base 2007 ~ 13?  (Read 556 times)

0 Members and 1 Guest are viewing this topic.

Offline cwwjddn

  • *
  • +1% chance to make useful post
  • cwwjddn has no influence.
I felt a lot while touching the SMOD script.
It is often a problem with Source SDK Base 2006, "Hl2.exe stopped working" often during gameplay. Even if you ask someone you know, "This is an engine error and can not be solved." I said. So I would like to switch to Source SDK Base 2007 ~ 13, but is it possible? What should I do if possible?

Offline Zoldat

  • *
  • +4% chance to make useful post
  • Zoldat has no influence.
You want Smod to work on Source SDK 2013 instead of Source SDK 2006/2007? Did I understand that correctly?

If yes, then... Well, I'm afraid, but you can't switch engine version, on which the mod is working. There is no possible way to do that.
You see, Smod was built by compiling Source SDK 2006 source files into dll files - these are files the mod uses to work. And these source files are different from ones from newer SDK version. All Smod's features like new npcs or custom weapon system were written into sdk 2006 version source files. The only possible way to make smod to run on newer sdk is to manually port/add all its features into Source SDK 2013 files from source code of it. But since we do not have source code of Smod, this is impossible to do.

You'll have to keep using original Smod on SDK 2006 engine, or wait for Bitl's SMOD3, which runs on newer SDK 2013 engine version.

Offline cwwjddn

  • *
  • +1% chance to make useful post
  • cwwjddn has no influence.
So, can you change the SDK 2006 engine to the SDK 2007 engine?

Offline cwwjddn

  • *
  • +1% chance to make useful post
  • cwwjddn has no influence.
You want Smod to work on Source SDK 2013 instead of Source SDK 2006/2007? Did I understand that correctly?

If yes, then... Well, I'm afraid, but you can't switch engine version, on which the mod is working. There is no possible way to do that.
You see, Smod was built by compiling Source SDK 2006 source files into dll files - these are files the mod uses to work. And these source files are different from ones from newer SDK version. All Smod's features like new npcs or custom weapon system were written into sdk 2006 version source files. The only possible way to make smod to run on newer sdk is to manually port/add all its features into Source SDK 2013 files from source code of it. But since we do not have source code of Smod, this is impossible to do.

You'll have to keep using original Smod on SDK 2006 engine, or wait for Bitl's SMOD3, which runs on newer SDK 2013 engine version.

I want the 2007 engine used for hl2ep2 or Underhell.
The 2006 engine is too unstable.

Offline Zoldat

  • *
  • +4% chance to make useful post
  • Zoldat has no influence.
You want Smod to work on Source SDK 2013 instead of Source SDK 2006/2007? Did I understand that correctly?

If yes, then... Well, I'm afraid, but you can't switch engine version, on which the mod is working. There is no possible way to do that.
You see, Smod was built by compiling Source SDK 2006 source files into dll files - these are files the mod uses to work. And these source files are different from ones from newer SDK version. All Smod's features like new npcs or custom weapon system were written into sdk 2006 version source files. The only possible way to make smod to run on newer sdk is to manually port/add all its features into Source SDK 2013 files from source code of it. But since we do not have source code of Smod, this is impossible to do.

You'll have to keep using original Smod on SDK 2006 engine, or wait for Bitl's SMOD3, which runs on newer SDK 2013 engine version.

I want the 2007 engine used for hl2ep2 or Underhell.
The 2006 engine is too unstable.

I'm sorry, but as I said before, you can't switch engine version of the mod. There's no way to do that. Smod will only run on 2006 engine.

About Underhell: If I don't miss anything, Underhell: Chapter 1, which runs on 2007 engine, was built from scratch. It's not Smod anymore. Underhell: Prologue uses Smod, while Chapter 1 don't.

Offline cwwjddn

  • *
  • +1% chance to make useful post
  • cwwjddn has no influence.
You want Smod to work on Source SDK 2013 instead of Source SDK 2006/2007? Did I understand that correctly?

If yes, then... Well, I'm afraid, but you can't switch engine version, on which the mod is working. There is no possible way to do that.
You see, Smod was built by compiling Source SDK 2006 source files into dll files - these are files the mod uses to work. And these source files are different from ones from newer SDK version. All Smod's features like new npcs or custom weapon system were written into sdk 2006 version source files. The only possible way to make smod to run on newer sdk is to manually port/add all its features into Source SDK 2013 files from source code of it. But since we do not have source code of Smod, this is impossible to do.


You'll have to keep using original Smod on SDK 2006 engine, or wait for Bitl's SMOD3, which runs on newer SDK 2013 engine version.

I want the 2007 engine used for hl2ep2 or Underhell.
The 2006 engine is too unstable.

I'm sorry, but as I said before, you can't switch engine version of the mod. There's no way to do that. Smod will only run on 2006 engine.

About Underhell: If I don't miss anything, Underhell: Chapter 1, which runs on 2007 engine, was built from scratch. It's not Smod anymore. Underhell: Prologue uses Smod, while Chapter 1 don't.

Thank you for letting me know.
Is it just waiting for stable SMOD3...



Ps. I love your weapons! I want you to distribute some more weapons!

Offline Zoldat

  • *
  • +4% chance to make useful post
  • Zoldat has no influence.
Thank you for letting me know.
Is it just waiting for stable SMOD3...

You're welcome  ;)

Ps. I love your weapons! I want you to distribute some more weapons!


Wow, thank you ^__^ Actually, I have a few weapons for Smod. They're not done yet, but I think I will finish and upload them on Bsnooch in the future  :)